Greenbone Vulnerability Management Libraries: base/prefs_tests.c File Reference

Greenbone Vulnerability Management Libraries 23.1.2

Functions
prefs_tests.c File Reference
`#include "prefs.c"`
`#include <cgreen/cgreen.h>`
`#include <cgreen/mocks.h>`
`#include <glib.h>`
`#include <glib/gstdio.h>`
`#include <stdio.h>`
`#include <unistd.h>`

## Functions
| Describe (prefs)
| BeforeEach (prefs)
| AfterEach (prefs)
| Ensure (prefs, preferences_get_initializes_prefs)
| Ensure (prefs, prefs_get_returns_null_for_nonexistent_key)
| Ensure (prefs, prefs_get_returns_correct_value)
| Ensure (prefs, prefs_get_bool_returns_zero_for_nonexistent_key)
| Ensure (prefs, prefs_get_bool_returns_one_for_yes_value)
| Ensure (prefs, prefs_get_bool_returns_zero_for_non_yes_value)
| Ensure (prefs, prefs_set_creates_new_preference)
| Ensure (prefs, prefs_set_overwrites_existing_preference)
| Ensure (prefs, prefs_config_loads_from_file)
int | main (int argc, char **argv)

## Function Documentation

## ◆ AfterEach()

AfterEach | ( | prefs |  | ) |

## ◆ BeforeEach()

BeforeEach | ( | prefs |  | ) |

## ◆ Describe()

Describe | ( | prefs |  | ) |

## ◆ Ensure() [1/9]

Ensure | ( | prefs | ,
|  | preferences_get_initializes_prefs | )

## ◆ Ensure() [2/9]

Ensure | ( | prefs | ,
|  | prefs_config_loads_from_file | )

## ◆ Ensure() [3/9]

Ensure | ( | prefs | ,
|  | prefs_get_bool_returns_one_for_yes_value | )

## ◆ Ensure() [4/9]

Ensure | ( | prefs | ,
|  | prefs_get_bool_returns_zero_for_non_yes_value | )

## ◆ Ensure() [5/9]

Ensure | ( | prefs | ,
|  | prefs_get_bool_returns_zero_for_nonexistent_key | )

## ◆ Ensure() [6/9]

Ensure | ( | prefs | ,
|  | prefs_get_returns_correct_value | )

## ◆ Ensure() [7/9]

Ensure | ( | prefs | ,
|  | prefs_get_returns_null_for_nonexistent_key | )

## ◆ Ensure() [8/9]

Ensure | ( | prefs | ,
|  | prefs_set_creates_new_preference | )

## ◆ Ensure() [9/9]

Ensure | ( | prefs | ,
|  | prefs_set_overwrites_existing_preference | )

## ◆ main()

int main | ( | int | argc,
|  | char ** | argv )